Create requirement quote
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{requirement_id}/quotes \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{
"amount": 123
}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{requirement_id}/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{requirement_id}/quotes"
payload = { "amount": 123 }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"amount": 123,
"currency": "<string>",
"provider_name": "<string>",
"provider_contact_id": 123,
"notes": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Requirement Quotes
Create requirement quote
Register a priced quote on a requirement.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
requirements
/
{requirement_id}
/
quotes
Create requirement quote
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{requirement_id}/quotes \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{
"amount": 123
}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{requirement_id}/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{requirement_id}/quotes"
payload = { "amount": 123 }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"amount": 123,
"currency": "<string>",
"provider_name": "<string>",
"provider_contact_id": 123,
"notes": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the requirement
The numeric ID of the account
Body
application/json